%define username nxtvepg
%define groupname nxtvepg
%define homedir %{_localstatedir}/lib/%{name}

Name:           nxtvepg
Version:        2.8.1
Release:        3%{?dist}

Summary:        A nexTView EPG decoder and browser
Group:          Applications/Multimedia
License:        GPLv2 and GPLv3+
URL:            http://nxtvepg.sourceforge.net/

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
Source3:        %{name}rc
Source4:        %{name}d.sh
Source5:        %{name}d-sysconfig
Source6:        %{name}-device-policy.fdi

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tcl-devel, tk-devel
BuildRequires:  libXmu-devel
BuildRequires:  desktop-file-utils

# For user and group creation:
Requires(pre):  shadow-utils
# For initscript handling:
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts

# Perl requirements for the (experimental) Teletext grabber
Requires: perl(POSIX)
Requires: perl(locale)
Requires: perl(Time::Local)
Requires: perl(strict)


%description
A decoder for nexTView - an electronic TV program guide for the analog domain.
It enables you to receive and browse free TV program listings for all of the
major networks in Germany, Austria, France and Switzerland.


%prep
%setup -q
for f in \
  CHANGES COPYRIGHT TODO nxtvepg.1
  do
  iconv -f ISO-8859-15 -t UTF-8 $f > $f.new
  touch -c -r $f $f.new
  mv -f $f.new $f
done


%build
%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
CFLAGS='%{optflags}' \
make %{?_smp_mflags} \
  TCL_VER='%{tcl_version}' \
  TCL_LIBRARY_PATH='%{_datadir}/tcl%{tcl_version}' \
  TK_LIBRARY_PATH='%{_datadir}/tk%{tcl_version}' \
  SYS_DBDIR=%{homedir} \
  resdir=%{_datadir}/X11 \
  all


%install
rm -rf %{buildroot}
make %{?_smp_mflags} \
  SYS_DBDIR=%{homedir} \
  INST_DB_PERM=0755 \
  ROOT=%{buildroot} \
  prefix=%{_prefix} \
  exec_prefix=%{_prefix} \
  bindir=%{buildroot}%{_bindir} \
  mandir=%{buildroot}%{_mandir}/man1 \
  resdir=%{buildroot}%{_datadir}/X11 \
  install
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_sysconfdir}
install -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_initrddir}
install -p -m 0755 %{SOURCE4} %{buildroot}%{_initrddir}/%{name}d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/%{name}d
mkdir -p %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty
install -p -m 0644 %{SOURCE6} \
  %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty/20-%{name}.fdi
chmod 0755 %{buildroot}%{_datadir}/%{name}/*.pl


%clean
rm -rf %{buildroot}


%pre
getent group %{groupname} >/dev/null || groupadd -r %{groupname}
getent passwd %{username} >/dev/null || useradd -r -g %{groupname} \
  -d %{homedir} -s /sbin/nologin \
  -c "nexTView EPG decoder daemon" %{username}
exit 0


%post
/sbin/chkconfig --add %{name}d


%preun
if [ $1 = 0 ] ; then
  /sbin/service %{name}d stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}d
fi


%postun
if [ "$1" -ge "1" ] ; then
  /sbin/service %{name}d condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGES COPYRIGHT README TODO manual.html manual-de.html
%config(noreplace) %{_sysconfdir}/nxtvepgrc
%config(noreplace) %{_sysconfdir}/sysconfig/nxtvepgd
%attr(-, %{username}, %{groupname}) %{homedir}/
%{_initrddir}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/X11/app-defaults/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/hal/fdi/policy/20thirdparty/*
%{_datadir}/%{name}/


%changelog
* Sun Dec 07 2008 Torsten Rausche <torsten@rausche.net> - 2.8.1-3
- The script permissions are better handled in the install section
  (This removes the "File listed twice" warning during the package build)

* Sat Nov 29 2008 Torsten Rausche <torsten@rausche.net> - 2.8.1-2
- The Teletext grabber is licensed under GPLv3+, changed License tag
- New packages should not use "--vendor=fedora" for desktop files anymore

* Sat Oct 11 2008 Torsten Rausche <torsten@rausche.net> - 2.8.1-1
- New bugfix release
- Include the (experimental) Teletext grabber
- Require Perl for the Teletext grabber

* Wed Sep 17 2008 Torsten Rausche <torsten@rausche.net> - 2.8.0-4
- Try harder to use _datadir/X11/app-defaults

* Tue Sep 16 2008 Torsten Rausche <torsten@rausche.net> - 2.8.0-3
- Cleaned up the UTF-8 conversion
- Use optflags for building
- Use _datadir/X11/app-defaults instead of _sysconfdir/X11/app-defaults
- Added semicolon to Categories in the desktop file

* Thu Sep 04 2008 Torsten Rausche <torsten@rausche.net> - 2.8.0-2
- Convert docs to UTF-8

* Tue Sep 03 2008 Torsten Rausche <torsten@rausche.net> - 2.8.0-1
- Initial Fedora release

